Skip to main content

Get consumer user profile

GET 

/auth/consumer-user/company/:company_id/user-profile

Get consumer user profile detail

Request

Path Parameters

    company_id stringrequired

    Unique ID of the company in scope.

Responses

successful operation

Schema

    id uuid

    Cents ID of the consumer user

    external_id string

    Company external id of the user

    full_name string

    first name and last name of the consumer user

    email email

    email of the consumer user

    email_anonymized boolean

    Email anonymized flag (if email is anonymized or not)

    phone string

    phone number of the consumer user with the country code

    default_currency string

    Default value: EUR

    Default currency

    user_impact

    object

    user impact with its donations

    total_donations integer

    total donated amount (in the smallest currency unit, so 1000 is 10.00€). Using consumer user main currency

    cost_examples object

    detail of cost example related to donated amount

    billable_address

    object

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
Loading...